<?php
require_once(TEMPLATEPATH . '/theme_options.php'); 

if ( function_exists('register_sidebar') )
    register_sidebar(array(
	'name' => 'Sidebar1',
    'before_widget' => '<li class="sidebox rounded">',
    'after_widget' => '</li>',
	'before_title' => '<h3 class="sidetitl">',
    'after_title' => '</h3>',
    ));

if ( function_exists('register_sidebar') )
    register_sidebar(array(
	'name' => 'Sidebar2',
    'before_widget' => '<li class="sidebox rounded">',
    'after_widget' => '</li>',
	'before_title' => '<h3 class="sidetitl">',
    'after_title' => '</h3>',
    ));	


	
register_nav_menus( array(
		'primary' => __( 'Primary Navigation', '' ),
		'secondary' => __( 'Secondary Navigation', '' ),
	) );
	
	
if ( function_exists( 'add_theme_support' ) ) { // Added in 2.9
	add_theme_support( 'post-thumbnails' );
	add_image_size( 'grft-slider', 630, 280, true );
	add_image_size( 'grft-home', 610, 120, true ); 
	add_image_size( 'grft-box', 100, 70, true ); 
}
function slidim(){

if ( has_post_thumbnail() ) {
			 the_post_thumbnail( 'grft-slider', array('class' => 'slidim ') );
} else {
}
}

function boxim(){
if ( has_post_thumbnail() ) {
			 the_post_thumbnail( 'grft-box', array('class' => 'boximage') );
} else {
}
}
function postim(){
if ( has_post_thumbnail() ) {
			 the_post_thumbnail( 'grft-home', array('class' => 'postim rounded') );
} else {
}
}
function new_excerpt_length($length) {
	return 80;
}
add_filter('excerpt_length', 'new_excerpt_length');


function ShortenText($text)
{
$chars_limit = 30;
$chars_text = strlen($text);
$text = $text." ";
$text = substr($text,0,$chars_limit);
$text = substr($text,0,strrpos($text,' '));
if ($chars_text > $chars_limit)
{
$text = $text."...";
}
return $text;
}



function popular_posts($no_posts = 6, $before = '<li>', $after = '</li>', $show_pass_post = false, $duration='') {
global $wpdb;
$request = "SELECT ID, post_title, COUNT($wpdb->comments.comment_post_ID) AS 'comment_count' FROM $wpdb->posts, $wpdb->comments";
$request .= " WHERE comment_approved = '1' AND $wpdb->posts.ID=$wpdb->comments.comment_post_ID AND post_status = 'publish'";
if(!$show_pass_post) $request .= " AND post_password =''";
if($duration !="") { $request .= " AND DATE_SUB(CURDATE(),INTERVAL ".$duration." DAY) < post_date ";
}
$request .= " GROUP BY $wpdb->comments.comment_post_ID ORDER BY comment_count DESC LIMIT $no_posts";
$posts = $wpdb->get_results($request);
$output = '';
if ($posts) {
foreach ($posts as $post) {
$post_title = stripslashes($post->post_title);
$comment_count = $post->comment_count;
$permalink = get_permalink($post->ID);
$output .= $before . ' <a href="' . $permalink . '" title="' . $post_title.'">' . $post_title . '</a> ' . $after;
}
} else {
$output .= $before . "None found" . $after;
}
echo $output;
} 

					
function seo_wp_title( $title, $separator ) {
	if ( is_feed() )
	return $title;
	global $paged, $page;
	if ( is_search() ) {
		$title = sprintf( __( 'Search results for %s', '' ), '"' . get_search_query() . '"' );
		if ( $paged >= 2 )
			$title .= " $separator " . sprintf( __( 'Page %s', '' ), $paged );
		$title .= " $separator " . get_bloginfo( 'name', 'display' );
		return $title;
	}
	$title .= get_bloginfo( 'name', 'display' );
	$site_description = get_bloginfo( 'description', 'display' );
	if ( $site_description && ( is_home() || is_front_page() ) )
		$title .= " $separator " . $site_description;
	if ( $paged >= 2 || $page >= 2 )
		$title .= " $separator " . sprintf( __( 'Page %s', '' ), max( $paged, $page ) );
	return $title;
}			
	

add_filter( 'wp_title', 'seo_wp_title', 10, 2 );


?>